aboutsummaryrefslogtreecommitdiff
path: root/bash
diff options
context:
space:
mode:
Diffstat (limited to 'bash')
-rw-r--r--bash/bashrc3
-rw-r--r--bash/bashrc.d/completion.bash3
-rw-r--r--bash/bashrc.d/keep.bash3
3 files changed, 6 insertions, 3 deletions
diff --git a/bash/bashrc b/bash/bashrc
index 1d5c7aed..8462e5c2 100644
--- a/bash/bashrc
+++ b/bash/bashrc
@@ -95,6 +95,7 @@ fi
# Load Bash-specific startup files
for sh in "$HOME"/.bashrc.d/*.bash ; do
- [[ -e $sh ]] && source "$sh"
+ [[ -e $sh ]] || continue
+ source "$sh"
done
unset -v sh
diff --git a/bash/bashrc.d/completion.bash b/bash/bashrc.d/completion.bash
index 901c55ec..d938275c 100644
--- a/bash/bashrc.d/completion.bash
+++ b/bash/bashrc.d/completion.bash
@@ -118,7 +118,8 @@ if ((BASH_VERSINFO[0] >= 4)) ; then
# If not, load all of the completions up now
else
for sh in "$HOME"/.bash_completion.d/*.bash ; do
- [[ -e $sh ]] && source "$sh"
+ [[ -e $sh ]] || continue
+ source "$sh"
done
unset -v sh
fi
diff --git a/bash/bashrc.d/keep.bash b/bash/bashrc.d/keep.bash
index da7ff558..ab89288e 100644
--- a/bash/bashrc.d/keep.bash
+++ b/bash/bashrc.d/keep.bash
@@ -143,6 +143,7 @@ EOF
# Load any existing scripts in bashkeep
for bashkeep in "${BASHKEEP:-"$HOME"/.bashkeep.d}"/*.bash ; do
- [[ -e $bashkeep ]] && source "$bashkeep"
+ [[ -e $bashkeep ]] || continue
+ source "$bashkeep"
done
unset -v bashkeep